For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve file URL

Retrieve the URL for a team or user logo using the specified file ID.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Retrieve the URL for a team or user logo using the specified file ID."

Retrieve file URL

Retrieve file URL

post

Retrieve the URL for a team or user logo using the specified file ID.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

The details of the fetched Image

application/json
expiryinteger · int32Optional

The number of seconds until the public URL link expires. The default expiration time is 3600 seconds.

Example: 3600
fileIdstringOptional

The unique ID of the file for which the URL is retrieved.

Example: 1ceee624-7c87-4e98-9995-042da2a32525
publicUrlstringOptional

The public URL of the file corresponding to the given file ID.

Example: https://storage.googleapis.com/user_logo/.../path-to-public-image
post/v2/retrieve-file-url
POST /v2/retrieve-file-url HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 151

{
  "fileUrl": {
    "fileId": "1ceee624-7c87-4e98-9995-042da2a32525",
    "fileType": "FILE_TYPE_USER_LOGO",
    "managerTeamId": "manager_team_67890",
    "teamId": "Team-101"
  }
}
{
  "expiry": 3600,
  "fileId": "1ceee624-7c87-4e98-9995-042da2a32525",
  "publicUrl": "https://storage.googleapis.com/user_logo/.../path-to-public-image"
}